[IronPython] Building IronPython/IronRuby for Mono? Yes!

Markus Schaber m.schaber at 3s-software.com
Wed Mar 23 07:07:32 PDT 2011


Hi, Jeff,

If you manage to compile it with .NET 2.0, I would be very pleased to see your success story posted here. :-)

Thanks!

Best regards

Markus Schaber

___________________________
We software Automation.

3S-Smart Software Solutions GmbH
Markus Schaber | Developer
Memminger Str. 151 | 87439 Kempten | Germany | Tel. +49-831-54031-0 | Fax +49-831-54031-50

Email: m.schaber at 3s-software.com | Web: http://www.3s-software.com 
CoDeSys internet forum: http://forum.3s-software.com
Download CoDeSys sample projects: http://www.3s-software.com/index.shtml?sample_projects

Managing Directors: Dipl.Inf. Dieter Hess, Dipl.Inf. Manfred Werner | Trade register: Kempten HRB 6186 | Tax ID No.: DE 167014915 


> -----Ursprüngliche Nachricht-----
> Von: users-bounces at lists.ironpython.com [mailto:users-
> bounces at lists.ironpython.com] Im Auftrag von Doug Blank
> Gesendet: Mittwoch, 23. März 2011 14:14
> An: Jeff Hardy
> Cc: Discussion of IronPython
> Betreff: Re: [IronPython] Building IronPython/IronRuby for Mono? Yes!
> 
> On Tue, Mar 22, 2011 at 1:30 PM, Jeff Hardy <jdhardy at gmail.com> wrote:
> > On Tue, Mar 22, 2011 at 11:03 AM, Doug Blank <doug.blank at gmail.com>
> wrote:
> >> I'm not too concerned about ipy.exe itself, but about being about to
> >> use the dlls.
> >>
> >> I'm trying to verify that the IronPython 2.7 dlls absolutely need
> >> Mono
> >> 2.8 or later. If that is true, I'll have to stay with IronPython 2.6
> >> until the rest of the Linux distros catch up (or I make my own
> >> version of Mono to download). Perhaps Miguel or someone from SuSE can
> >> add more details to the dependencies for building and running
> IronPython 2.7?
> >
> > IronPython 2.7 *should* build for .NET 2.0, although it's not the
> > default (I don't remember the name of the MSBuild configuration to do
> > so, though). However, I don't think that was consistently tested, so I
> > don't know if it works. I would consider it not working a bug, though.
> 
> I have successfully built IronPython 2.7 on Mono 2.10 on Ubuntu 10.10 for
> .NET 4.0. Details below.
> 
> But I'd like to try for .NET 2.0, to see if it will run under Mono 2.6.7,
> so if someone could send me a hint on the "MSBuild configuration" magic,
> that would be helpful. Of course, I will be using xbuild.
> 
> To build IronPython under Mono 2.10:
> 
> 0) Prereqs (I started from a clean Ubuntu 10.10):
> sudo apt-get install git subversion gcc emacs libmono-corlib2.0-cil
> libmono-system2.0-cil libmono-i18n2.0-cil libmono-system-runtime2.0-cil
> libmono-winforms2.0-cil libmono-microsoft-visualbasic8.0-cil nant mono-
> xbuild automake libtool gettext gnome-common g++ bison
> 
> 1) Get Mono 2.10 as per:
> http://mono-project.com/Compiling_Mono_From_Git
> 
> a) Switched to 2.10
> b) Installed in /opt (--prefix=/opt)
> 
> 2) Allow multiple versions of Mono:
> http://apebox.org/wordpress/linux/370/
> 
> 3) Download IronPython:
> https://download.github.com/IronLanguages-main-ipy-2.7-0-g4fb2552.zip
> or
> https://download.github.com/IronLanguages-main-ipy-2.7-7-g4e7a828.zip
> or
> git clone https://github.com/IronLanguages/main.git
> 
> into ./IronPython/
> 
> 4) Edit IronPython/Solutions/Dlr.sln
> Removed anything that said "test" and other parts that aren't needed.
> (One test had a file that Mono wouldn't read the .il code correctly
> (./Test/ClrAssembly/Src/typeforwarder2.il) and some filenames in csproj
> files that had the wrong case, which doesn't work too well on a case-
> sensitive file system. I started to fix those, but left that for now).
> 
> 5) Delete IronPython/bin/Debug/*.dll
> 
> 6) Build it:
> cd IronPython/Solutions/
> xbuild Dlr.sln
> xbuild IronPython.sln
> 
> 7) Test:
> $cd ../bin/Debug/
> $ mono ipy.exe
> IronPython 2.7 DEBUG (2.7.0.40) on .NET 4.0.30319.1 Type "help",
> "copyright", "credits" or "license" for more information.
> >>> 1 + 1
> 2
> >>> ^d
> 
> It is still in gray colors, but that works.
> 
> Questions:
> 
> 1) How to build a Release version rather than Debug?
> 2) How to set the framework to use 2.0 rather than 4.0?
> 
> > We won't provide binaries for 2.7/.NET2, but we don't want to prevent
> > someone building their own either. 3.0, however, will drop support for
> > .NET 2 entirely.
> 
> I will add this information to the wiki so that people can do exactly
> that.
> 
> -Doug
> 
> > - Jeff
> >
> _______________________________________________
> Users mailing list
> Users at lists.ironpython.com
> http://lists.ironpython.com/listinfo.cgi/users-ironpython.com


More information about the Users mailing list